RedirectDynamicMethod (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.metaclass

## [Java] Class RedirectDynamicMethod

- org.codehaus.groovy.grails.web.metaclass.RedirectDynamicMethod

- Implements the "redirect" Controller method for action redirection.

  Authors:
    Graeme Rocher
  Since:
    0.2 Created Oct 27, 2005

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_ERRORS` |
    `static java.lang.String` | `ARGUMENT_PERMANENT` |
    `static java.lang.String` | `GRAILS_REDIRECT_ISSUED` |
    `static java.lang.String` | `GRAILS_VIEWS_ENABLE_JSESSIONID` |
    `static java.util.regex.Pattern` | `METHOD_PATTERN` |
    `static java.lang.String` | `METHOD_SIGNATURE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RedirectDynamicMethod (java.util.Collection<RedirectEventListener> redirectListeners)`
    `RedirectDynamicMethod (org.springframework.context.ApplicationContext applicationContext)` @param applicationContext The ApplicationContext
    `RedirectDynamicMethod ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)`
    `void` | `setLinkGenerator(LinkGenerator linkGenerator)`
    `void` | `setRedirectListeners(java.util.Collection<RedirectEventListener> redirectListeners)`
    `void` | `setUseJessionId(boolean useJessionId)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicMethodInvocation` | `getPattern, invoke, isMethodMatch, setPattern`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_ERRORS

    - #### public static final java.lang.String ARGUMENT_PERMANENT

    - #### public static final java.lang.String GRAILS_REDIRECT_ISSUED

    - #### public static final java.lang.String GRAILS_VIEWS_ENABLE_JSESSIONID

    - #### public static final java.util.regex.Pattern METHOD_PATTERN

    - #### public static final java.lang.String METHOD_SIGNATURE

  - ### Constructor Detail

    - #### public RedirectDynamicMethod(java.util.Collection<RedirectEventListener> redirectListeners)

    - #### @java.lang.Deprecated public RedirectDynamicMethod(org.springframework.context.ApplicationContext applicationContext)

      deprecated:
        Here fore compatibility, will be removed in a future version of Grails
      Parameters:
        `applicationContext` - The ApplicationContext

    - #### public RedirectDynamicMethod()

  - ### Method Detail

    - #### @java.lang.SuppressWarnings({"unchecked","rawtypes"}) @java.lang.Override public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, java.lang.Object[] arguments)

    - #### public void setLinkGenerator(LinkGenerator linkGenerator)

    - #### public void setRedirectListeners(java.util.Collection<RedirectEventListener> redirectListeners)

    - #### public void setUseJessionId(boolean useJessionId)